/*
 * For licensing terms, see the file COPYING in this directory
 * For contact information, see the file AUTHORS in this directory
 */
#ifndef _ITEM_H_
#define _ITEM_H_
#define CHANNEL_LENGTH 0xFF 

#define CAT_TITLE 1
#define CAT_DESCRIPTION 2
#define CAT_CHANNEL 3
#define CAT_LINK 4
#define CAT_ANY 5
typedef struct
{
	char *channel;
	char *item;
	char *link;
	char *description;
	int score;
}ITEM;
typedef struct
{
	ITEM **items;
	int count;
	int capacity;
}ITEM_LIST;
int expand_list(ITEM_LIST **i);
int add_item(ITEM_LIST **il,char *channel,char *item,char *link,
		char *description);
ITEM_LIST *new_item_list(const size_t size);
void free_item_list(ITEM_LIST *il);


typedef struct
{
	signed int score;
	int category;
	char *pattern;
}SCORE_ITEM;
typedef struct
{
	SCORE_ITEM **items;
	int count;
	int capacity;
}SCORE_LIST;
int expand_score_list(SCORE_LIST **i);
int add_score(SCORE_LIST **il,int score,int category,char *pattern,
		size_t pattern_len);
SCORE_LIST *new_score_list(const size_t size);
void free_score_list(SCORE_LIST *il);

#endif //_ITEM_H_
